Subject: Re: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Fri, 18 Nov 2022 09:53:46 +0000

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Feng Shu <[email-masked]> writes:
>>
>>> I have found another issue:
>>>
>>> If I run package-update when emacs first start, it will show error:
>>>
>>> package-update: Symbol’s function definition is void: package-vc-update
>>
>> It appears that I had assumed package-vc-update was autoloaded, when it
>> was in fact not autoloaded.  This comes back to the question of whether
>> it is worth autoloading the function or not.
>
> Good job, a simple suggstion:
>
>  Source package ‘pyim’ installed (Version 5.2.8, Revision "16f7c3cf0736a65d8af0c8ba8396343dbd17e368").
>
> seem to too long, what about:
>
>  Source package ‘pyim’ installed (Version 5.2.8, Revision "16f7c3").

That would work too, but abbreviating commits is not always correct...

How about using `format-spec' together with a user option to format the
success messages?  E.g. you could set it do "Source package `%n'
installed (Version %v, Revision %6r)".

Then again, I don't know if this issue is that important.

> or more info:
>  
>  Source package ‘pyim’ installed (Version 5.2.8, Revision "16f7c3", Commit "commit message").

VC doesn't expose a convenient way of fetching commit messages from revisions.